aboutsummaryrefslogtreecommitdiffstats
path: root/recipes-support/fastrpc/fastrpc/mount-dsp.sh
diff options
context:
space:
mode:
Diffstat (limited to 'recipes-support/fastrpc/fastrpc/mount-dsp.sh')
-rw-r--r--recipes-support/fastrpc/fastrpc/mount-dsp.sh26
1 files changed, 26 insertions, 0 deletions
diff --git a/recipes-support/fastrpc/fastrpc/mount-dsp.sh b/recipes-support/fastrpc/fastrpc/mount-dsp.sh
new file mode 100644
index 0000000..1bacfb8
--- /dev/null
+++ b/recipes-support/fastrpc/fastrpc/mount-dsp.sh
@@ -0,0 +1,26 @@
+#!/bin/sh
+
+set -e
+
+if [ -r /sys/devices/soc0/machine ] ; then
+ MACHINE=`cat /sys/devices/soc0/machine`
+ case $MACHINE in
+ SM8250|QRB5160)
+ WHAT=/lib/firmware/qcom/sm8250/dspso.bin
+ ;;
+ esac
+fi
+
+if [ -z "$WHAT" -o ! -r "$WHAT"] ; then
+ if [ -h /dev/disk/by-partlabel/dsp_a ] ; then
+ WHAT=/dev/disk/by-partlabel/dsp_a
+ else
+ WHAT=/dev/disk/by-partlabel/dsp
+ fi
+fi
+
+if [ -e "$WHAT" ] ; then
+ mount $WHAT /usr/lib/rfsa -o ro
+else
+ echo "Not mounting /usr/lib/rfsa, partition/image not found" 1>&2
+fi